SDL_cocoavideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_opengl.h"`
`#include <ApplicationServices/ApplicationServices.h>`
`#include <IOKit/pwr_mgt/IOPMLib.h>`
`#include <Cocoa/Cocoa.h>`
`#include "SDL_keycode.h"`
`#include "../SDL_sysvideo.h"`
`#include "SDL_cocoaclipboard.h"`
`#include "SDL_cocoaevents.h"`
`#include "SDL_cocoakeyboard.h"`
`#include "SDL_cocoamodes.h"`
`#include "SDL_cocoamouse.h"`
`#include "SDL_cocoaopengl.h"`
`#include "SDL_cocoawindow.h"`
Include dependency graph for SDL_cocoavideo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData

## Macros

#define | DECLARE_EVENT(name) static const NSEventType NSEventType##name = NS##name
#define | DECLARE_MODIFIER_FLAG(name) static const NSUInteger NSEventModifierFlag##name = NS##name##KeyMask
#define | DECLARE_WINDOW_MASK(name) static const unsigned int NSWindowStyleMask##name = NS##name##WindowMask
#define | DECLARE_ALERT_STYLE(name) static const NSUInteger NSAlertStyle##name = NS##name##AlertStyle
#define | NSEventSubtypeTouch NSTouchEventSubtype
#define | NSEventSubtypeMouseEvent NSMouseEventSubtype

## Functions

| DECLARE_EVENT (LeftMouseDown)
| DECLARE_EVENT (LeftMouseUp)
| DECLARE_EVENT (RightMouseDown)
| DECLARE_EVENT (RightMouseUp)
| DECLARE_EVENT (OtherMouseDown)
| DECLARE_EVENT (OtherMouseUp)
| DECLARE_EVENT (MouseMoved)
| DECLARE_EVENT (LeftMouseDragged)
| DECLARE_EVENT (RightMouseDragged)
| DECLARE_EVENT (OtherMouseDragged)
| DECLARE_EVENT (ScrollWheel)
| DECLARE_EVENT (KeyDown)
| DECLARE_EVENT (KeyUp)
| DECLARE_EVENT (FlagsChanged)
| DECLARE_MODIFIER_FLAG (Shift)
| DECLARE_MODIFIER_FLAG (Control)
| DECLARE_MODIFIER_FLAG (Command)
| DECLARE_MODIFIER_FLAG (NumericPad)
| DECLARE_MODIFIER_FLAG (Help)
| DECLARE_MODIFIER_FLAG (Function)
| DECLARE_WINDOW_MASK (Borderless)
| DECLARE_WINDOW_MASK (Titled)
| DECLARE_WINDOW_MASK (Closable)
| DECLARE_WINDOW_MASK (Miniaturizable)
| DECLARE_WINDOW_MASK (Resizable)
| DECLARE_WINDOW_MASK (TexturedBackground)
| DECLARE_WINDOW_MASK (UnifiedTitleAndToolbar)
| DECLARE_WINDOW_MASK (FullScreen)
| DECLARE_ALERT_STYLE (Warning)
| DECLARE_ALERT_STYLE (Informational)
| DECLARE_ALERT_STYLE (Critical)
NSImage * | Cocoa_CreateImage (SDL_Surface *surface)

## Variables

static const NSEventMask | NSEventMaskAny = NSAnyEventMask
static const NSUInteger | NSEventModifierFlagCapsLock = NSAlphaShiftKeyMask
static const NSUInteger | NSEventModifierFlagOption = NSAlternateKeyMask
static const unsigned int | NSWindowStyleMaskUtilityWindow = NSUtilityWindowMask
static const unsigned int | NSWindowStyleMaskDocModalWindow = NSDocModalWindowMask
static const unsigned int | NSWindowStyleMaskHUDWindow = NSHUDWindowMask

## Macro Definition Documentation

## DECLARE_ALERT_STYLE

#define DECLARE_ALERT_STYLE | ( |  | name | ) | static const NSUInteger NSAlertStyle##name = NS##name##AlertStyle

Definition at line 89 of file SDL_cocoavideo.h.

## DECLARE_EVENT

#define DECLARE_EVENT | ( |  | name | ) | static const NSEventType NSEventType##name = NS##name

Definition at line 44 of file SDL_cocoavideo.h.

## DECLARE_MODIFIER_FLAG

#define DECLARE_MODIFIER_FLAG | ( |  | name | ) | static const NSUInteger NSEventModifierFlag##name = NS##name##KeyMask

Definition at line 63 of file SDL_cocoavideo.h.

## DECLARE_WINDOW_MASK

#define DECLARE_WINDOW_MASK | ( |  | name | ) | static const unsigned int NSWindowStyleMask##name = NS##name##WindowMask

Definition at line 74 of file SDL_cocoavideo.h.

## NSEventSubtypeMouseEvent

#define NSEventSubtypeMouseEvent NSMouseEventSubtype

Definition at line 119 of file SDL_cocoavideo.h.

## NSEventSubtypeTouch

#define NSEventSubtypeTouch NSTouchEventSubtype

Definition at line 118 of file SDL_cocoavideo.h.

## Function Documentation

## Cocoa_CreateImage()

NSImage* Cocoa_CreateImage | ( | SDL_Surface * | surface | ) |

## DECLARE_ALERT_STYLE() [1/3]

DECLARE_ALERT_STYLE | ( | Critical |  | ) |

## DECLARE_ALERT_STYLE() [2/3]

DECLARE_ALERT_STYLE | ( | Informational |  | ) |

## DECLARE_ALERT_STYLE() [3/3]

DECLARE_ALERT_STYLE | ( | Warning |  | ) |

## DECLARE_EVENT() [1/14]

DECLARE_EVENT | ( | FlagsChanged |  | ) |

## DECLARE_EVENT() [2/14]

DECLARE_EVENT | ( | KeyDown |  | ) |

## DECLARE_EVENT() [3/14]

DECLARE_EVENT | ( | KeyUp |  | ) |

## DECLARE_EVENT() [4/14]

DECLARE_EVENT | ( | LeftMouseDown |  | ) |

## DECLARE_EVENT() [5/14]

DECLARE_EVENT | ( | LeftMouseDragged |  | ) |

## DECLARE_EVENT() [6/14]

DECLARE_EVENT | ( | LeftMouseUp |  | ) |

## DECLARE_EVENT() [7/14]

DECLARE_EVENT | ( | MouseMoved |  | ) |

## DECLARE_EVENT() [8/14]

DECLARE_EVENT | ( | OtherMouseDown |  | ) |

## DECLARE_EVENT() [9/14]

DECLARE_EVENT | ( | OtherMouseDragged |  | ) |

## DECLARE_EVENT() [10/14]

DECLARE_EVENT | ( | OtherMouseUp |  | ) |

## DECLARE_EVENT() [11/14]

DECLARE_EVENT | ( | RightMouseDown |  | ) |

## DECLARE_EVENT() [12/14]

DECLARE_EVENT | ( | RightMouseDragged |  | ) |

## DECLARE_EVENT() [13/14]

DECLARE_EVENT | ( | RightMouseUp |  | ) |

## DECLARE_EVENT() [14/14]

DECLARE_EVENT | ( | ScrollWheel |  | ) |

## DECLARE_MODIFIER_FLAG() [1/6]

DECLARE_MODIFIER_FLAG | ( | Command |  | ) |

## DECLARE_MODIFIER_FLAG() [2/6]

DECLARE_MODIFIER_FLAG | ( | Control |  | ) |

## DECLARE_MODIFIER_FLAG() [3/6]

DECLARE_MODIFIER_FLAG | ( | Function |  | ) |

## DECLARE_MODIFIER_FLAG() [4/6]

DECLARE_MODIFIER_FLAG | ( | Help |  | ) |

## DECLARE_MODIFIER_FLAG() [5/6]

DECLARE_MODIFIER_FLAG | ( | NumericPad |  | ) |

## DECLARE_MODIFIER_FLAG() [6/6]

DECLARE_MODIFIER_FLAG | ( | Shift |  | ) |

## DECLARE_WINDOW_MASK() [1/8]

DECLARE_WINDOW_MASK | ( | Borderless |  | ) |

## DECLARE_WINDOW_MASK() [2/8]

DECLARE_WINDOW_MASK | ( | Closable |  | ) |

## DECLARE_WINDOW_MASK() [3/8]

DECLARE_WINDOW_MASK | ( | FullScreen |  | ) |

## DECLARE_WINDOW_MASK() [4/8]

DECLARE_WINDOW_MASK | ( | Miniaturizable |  | ) |

## DECLARE_WINDOW_MASK() [5/8]

DECLARE_WINDOW_MASK | ( | Resizable |  | ) |

## DECLARE_WINDOW_MASK() [6/8]

DECLARE_WINDOW_MASK | ( | TexturedBackground |  | ) |

## DECLARE_WINDOW_MASK() [7/8]

DECLARE_WINDOW_MASK | ( | Titled |  | ) |

## DECLARE_WINDOW_MASK() [8/8]

DECLARE_WINDOW_MASK | ( | UnifiedTitleAndToolbar |  | ) |

## Variable Documentation

## NSEventMaskAny

const NSEventMask NSEventMaskAny = NSAnyEventMask

static

Definition at line 61 of file SDL_cocoavideo.h.

## NSEventModifierFlagCapsLock

const NSUInteger NSEventModifierFlagCapsLock = NSAlphaShiftKeyMask

static

Definition at line 71 of file SDL_cocoavideo.h.

## NSEventModifierFlagOption

const NSUInteger NSEventModifierFlagOption = NSAlternateKeyMask

static

Definition at line 72 of file SDL_cocoavideo.h.

## NSWindowStyleMaskDocModalWindow

const unsigned int NSWindowStyleMaskDocModalWindow = NSDocModalWindowMask

static

Definition at line 85 of file SDL_cocoavideo.h.

## NSWindowStyleMaskHUDWindow

const unsigned int NSWindowStyleMaskHUDWindow = NSHUDWindowMask

static

Definition at line 86 of file SDL_cocoavideo.h.

## NSWindowStyleMaskUtilityWindow

const unsigned int NSWindowStyleMaskUtilityWindow = NSUtilityWindowMask

static

Definition at line 84 of file SDL_cocoavideo.h.